<?php
/**
 * Reset password mail functionality
 *
 * */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

global $userlogin,$fbbttmhashed,$fbbttmuser_id,$fbbttm_blogname;


do_action( 'fbbttm_email_header' );

 $pagelink = FBBTTM_MYACCOUNT_PAGE_LINK;
  
    
    $message =  '<p>'.__('Someone requested that the password be reset for the following account:', 'foodboxbooker' ).'</p>' . "\r\n\r\n";
    $message .= '<p>'. get_site_url()  .'</p>' . "\r\n\r\n";
     /* translators: 1: user name*/
    $message .= '<p>'.sprintf(__('Username: %s', 'foodboxbooker' ), $userlogin).'</p>' . "\r\n\r\n";
    $message .= '<p>'.__('If this was a mistake, just ignore this email and nothing will happen.', 'foodboxbooker' ).'</p>' . "\r\n\r\n";
    $message .= '<p>'.__('To reset your password, visit the following address:', 'foodboxbooker' ) .'</p>' . "\r\n\r\n";
    $message .= '<p><a class="link" href="'.esc_url( add_query_arg( array( 'ukey' => $fbbttmhashed, 'uid' => $fbbttmuser_id ),  $pagelink  ) ).'">'. esc_html__( 'Click here to reset your password', 'foodboxbooker' ).'</a></p>'. "\r\n\r\n";

    
    
    echo wp_kses(
    $message,
    array(
        'a'      => array(
            'href'  => array(),
            'title' => array(),
        ),
        'p'     => array(),
        'br'     => array(),
        'em'     => array(),
        'strong' => array(),
    )
);

do_action( 'fbbttm_email_footer' );
?>
